\exo{}
Calculer les limites des expressions suivantes : 
\begin{enumerate}
  \item $\displaystyle \underset{x\to 0^+}{\lim} \frac{e^{\sin x} - e^{\tan x }}{\sin x - \tan x}$ .
  \item $\displaystyle \underset{x\to 0^+}{\lim} \frac{x^{x^x}\ln x }{x^x - 1}$.
  \item $\displaystyle \underset{x\to 0}{\lim} \frac{(1+\sin x)^x - (1+x)^{\sin x}}{x^3}$.
  \item $\displaystyle \underset{x\to 0^+}{\lim} \frac{(1+x)^{\frac{\ln x}{x}} -x }{x(x^x - 1)}$.
  \item $\displaystyle \underset{x\to \frac{\pi}{6}}{\lim} \frac{\arctan(2\sin x) - \frac{\pi}{4}}{\cos 3x}$.
  \item $\displaystyle \underset{x\to 0^+}{\lim} (\cos x)^{\cot x^2}$.
  \item $\displaystyle \underset{x\to + \infty}{\lim} \left( e- \left(1+\frac{1}{x}\right)^x\right)^{\sqrt{x^2 + 2}-\sqrt{x^2 +1}}$.
  \item $\displaystyle \underset{x\to + \infty}{\lim} \left( \left(\frac{\ln(x+1)}{\ln x} \right)^x - 1 \right) \ln x$.
\end{enumerate}





\ifwithcorrection \correction 
\begin{enumerate}
  \item $1$.
  \item $1$.
  \item $0$.
  \item $-\frac{1}{2}$.
  \item $-\frac{1}{2\sqrt{3} }$.
  \item $\frac{1}{\sqrt{e} }$.
  \item $1$.
  \item $ 1$.
\end{enumerate}

\fi
